summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Johannes Schoepfer2024-03-08 11:57:04 +0100
committer Willy Sudiarto Raharjo2024-03-09 00:18:16 +0100
commitc223028b1e07b670e4cb54e2944afa558a91b3de (patch)
tree816ea728cf0ae013f77fc847fd855debd0696fd7 /games
parent6db531c03461bbcd1d11b0247eecf6a8957ab636 (diff)
downloadslackbuilds-c223028b1e07b670e4cb54e2944afa558a91b3de.tar.gz
games/principia: Updated for version 2024.02.29.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/principia/README2
-rw-r--r--games/principia/principia.SlackBuild14
-rw-r--r--games/principia/principia.info6
3 files changed, 11 insertions, 11 deletions
diff --git a/games/principia/README b/games/principia/README
index 1860c71870..8964eee79b 100644
--- a/games/principia/README
+++ b/games/principia/README
@@ -1,4 +1,2 @@
-principia (physics-based sandbox game)
-
Build and play advanced contraptions, circuiting, minigames,
robot adventures and more.
diff --git a/games/principia/principia.SlackBuild b/games/principia/principia.SlackBuild
index 90d1bc2348..bed700b6a3 100644
--- a/games/principia/principia.SlackBuild
+++ b/games/principia/principia.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for principia
-# Copyright 2023 Johannes Schoepfer, Germany
+# Copyright 2023-2024 Johannes Schoepfer, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,8 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=principia
-VERSION=${VERSION:-20231229_25f1144}
-COMMIT=25f11443dfcd13f67a3ccf2ceff5d6d944fdaf90
+VERSION=${VERSION:-2024.02.29}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -53,9 +52,9 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$COMMIT
-tar vxf $CWD/$PRGNAM-$COMMIT.tar.gz
-cd $PRGNAM-$COMMIT
+rm -rf $PRGNAM-$VERSION
+tar vxf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -76,6 +75,9 @@ cd build
DESTDIR=$PKG $NINJA install
cd ..
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
AUTHORS.md THANKS.md LICENSE.md README.md \
diff --git a/games/principia/principia.info b/games/principia/principia.info
index 7909320b0a..66fc6fe254 100644
--- a/games/principia/principia.info
+++ b/games/principia/principia.info
@@ -1,8 +1,8 @@
PRGNAM="principia"
-VERSION="20231229_25f1144"
+VERSION="2024.02.29"
HOMEPAGE="https://principia-web.se/"
-DOWNLOAD="https://github.com/Bithack/principia/archive/25f1144/principia-25f11443dfcd13f67a3ccf2ceff5d6d944fdaf90.tar.gz"
-MD5SUM="33c0ad0fb12d537c7e9f643a69daf16e"
+DOWNLOAD="https://github.com/Bithack/principia/archive/2024.02.29/principia-2024.02.29.tar.gz"
+MD5SUM="edbeecdb543c1f9b064357061606b61b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""